{{ 'component-image-with-text.css' | asset_url | stylesheet_tag }}
{%- style -%}
  #{{ section.id}} {
    margin-top: {{ section.settings.margin_top}}px;
    margin-bottom: {{ section.settings.margin_bottom}}px;
  }
  #big-banner .container {
    padding:20px 10px
  }
  #big-banner .container > div{
    background-color: {{ section.settings.content_bg_color }};
    padding-top: {{ section.settings.padding_top}}px;
    padding-bottom: {{ section.settings.padding_bottom}}px;
    border-radius: 20px;
    overflow: hidden;
  }
  #big-banner .image-wrap,
  #big-banner .content {
    width: 50%;
  }
  #big-banner .content {
    padding-left: 50px;
    padding-right: 30px;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: center;
  }
  #big-banner .caption {
    font-family: "TWKEverett,sans-serif";
    color: white;
    font-size: 22px;
  }

  #big-banner .description {
    margin-right: 70px;
    line-height: 1.2em;
    color: white;
  }
  #big-banner .heading {
    font-family: "FinancierDisplay";
    font-size: 64px;
    color: white;
    line-height: 0.9em;
    font-weight: 300
  }
  #big-banner .right {
    flex-direction: row-reverse
  }
  #big-banner img {
    width: 100%
  }
  #big-banner  .btn_group a.active {
    background: #3cf084;
    color: #014550
  }
  #big-banner  .btn_group a.active:hover {
    background: transparent;
    color: #3cf084;

  }
  #big-banner .btn_group .btn:hover{
    background: #3cf084;
    color: #014550
  }
  #big-banner .btn_group .btn {
    background: transparent;
    border: 1px solid #3cf084;
    color: #3cf084;
    margin-right: 10px;
    transition: all .3s ease;
  }
  .section-{{ section.id }}-padding {
    padding-top: {{ section.settings.padding_top }}px;
    padding-bottom: {{ section.settings.padding_bottom }}px;
  }
  @media screen and (max-width: 1200px) {

    #big-banner .btn_group .btn {
      display: block;
      text-align: center;
      max-width: 240px;
      margin: 40px auto;
      font-size: 15px;
      font-family: 'UntitledSans';
      padding: 5px ;
      margin-top: 32px
    }
    #big-banner .btn_group .btn.active{
      margin: 0px auto;
    }
    #big-banner .heading {
      font-size: 45px !important;
    }
    #big-banner .description {
      font-size: 17px !important;
    }
    #big-banner  .btn_group a {
      font-size: 16px;
      font-weight; 700;
    }
    #big-banner  .btn_group a {
      font-size: 12px;
      padding: 10px 13px;
      margin-right: 10px
    }
    #big-banner  .layout-right{
        flex-direction: row-reverse;
    }
  }
  @media screen and (max-width: 900px) {
    #big-banner .description{
      font-size: 13px !important;
      line-height:1.5em;
    }
    #big-banner .left{
      text-align: center !important;
    }
    #big-banner .heading {
      font-size: 35px !important;
    }
    #big-banner .description {
      font-size: 14px !important;
      padding: 20px 0;
      margin:0px;
    }
    #big-banner  .caption{
      margin-bottom :10px
    }
  }
  #big-banner  .mobile-image{
    display: none;
  }
  @media screen and (max-width: 750px) {
    #big-banner .heading{


    }
    #big-banner .image-wrap img{
      display: none;
    }
    #big-banner  .image-wrap .mobile-image{
      display: block;
    }
    #big-banner .container > div{
      flex-direction: column;
    }
    #big-banner .icon-text-item{
      width:33.3%
    }
    #big-banner .content{
      padding:0px 20px;
      align-items: center;
    }
    #big-banner .btn_group{
      margin-top:15px;
      width: 100%;
    }
    #big-banner .container.right {
      flex-direction: column;
    }
  }
{%- endstyle -%}
<div id="{{ section.id }}">
  <div id="big-banner">
    <div
      class="container"
    >
      <div
        class="d-flex justify-content-between
        {{ section.settings.content_layout }}"
        style="background-color: {{ section.settings.ba_color }};"
      >
        <div class="image-wrap width-mobile-100 center">
          <img class="mobile-image" src="{{ section.settings.mobile_iamge |img_url: '2000x'}}"/>
          <img class="margin-auto" src="{{ section.settings.image |img_url: '2000x' }}" alt=""/>
        </div>
        <div class="content width-mobile-100">
          {%- for block in section.blocks -%}
            {% case block.type %}
              {%- when 'heading' -%}
                <h2 class="heading {{ block.settings.text_align}}">{{ block.settings.heading | escape }}</h2>
              {%- when 'caption' -%}
                <p class="caption {{ block.settings.text_align}}">{{ block.settings.caption | escape }}</p>
              {%- when 'text' -%}
                <div class="description width-smart-90  {{ block.settings.text_align}}">
                  {{ block.settings.description }}
                </div>
            {%- endcase -%}
          {%- endfor -%}
          <div class="btn_group">
            {% for block in section.blocks %}
              {% if block.type == 'button' %}
                <a class="btn {% if forloop.index == 4 %} active {% endif %} " href="{{ block.settings.button_link }}">
                  {{- block.settings.button_label -}}
                </a>
              {%- endif %}
            {% endfor %}
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
{% schema %}
{
  "name": "Big Banner",
  "class": "section",
  "settings": [
    {
      "type": "color",
      "id": "bg_color",
      "label": "Background Color"
    },
    {
      "type": "color",
      "id": "content_bg_color",
      "label": "Content background color"
    },
    { "type": "image_picker", "id": "image", "label": "t:sections.image-with-text.settings.image.label" },
    {
      "type":"image_picker",
      "id": "mobile_iamge",
      "label":"Mobile Imgage"
    },
    {
      "type": "select",
      "id": "content_layout",
      "options": [
        { "value": "layout-right", "label": "Right" },
        { "value": "layout-left", "label": "Left" }
      ],
      "label": "Image Position"
    },
    {
      "type": "header",
      "content": "Margin"
    },
    {
      "type": "range",
      "id": "margin_top",
      "min": 0,
      "max": 200,
      "step": 4,
      "unit": "px",
      "label": "Margin Top",
      "default": 100
    },
    {
      "type": "range",
      "id": "margin_bottom",
      "min": 0,
      "max": 200,
      "step": 4,
      "unit": "px",
      "label": "Margin Bottom",
      "default": 36
    },
    {
      "type": "header",
      "content": "Padding"
    },
    {
      "type": "range",
      "id": "padding_top",
      "min": 0,
      "max": 200,
      "step": 4,
      "unit": "px",
      "label": "t:sections.all.padding.padding_top",
      "default": 36
    },
    {
      "type": "range",
      "id": "padding_bottom",
      "min": 0,
      "max": 200,
      "step": 4,
      "unit": "px",
      "label": "t:sections.all.padding.padding_bottom",
      "default": 36
    }
  ],
  "blocks": [
    {
      "type": "heading",
      "name": "t:sections.image-with-text.blocks.heading.name",
      "limit": 1,
      "settings": [
        {
          "type": "text",
          "id": "heading",
          "label": "t:sections.image-with-text.blocks.heading.settings.heading.label"
        },
        { "type": "range", "max": 100, "min": 8, "default": 20, "unit": "px", "id": "font_size", "label": "Font size" },
        { "type": "color", "id": "font_color", "label": "Font Color" },
        {
          "type": "select",
          "id": "text_align",
          "options": [
            { "value": "left", "label": "Left" },
            { "value": "center", "label": "Center" },
            { "value": "right", "label": "Right" }
          ],
          "label": "Text Align"
        }
      ]
    },
    {
      "type": "caption",
      "name": "t:sections.image-with-text.blocks.caption.name",
      "limit": 1,
      "settings": [
        { "type": "text", "id": "caption", "label": "t:sections.image-with-text.blocks.caption.settings.text.label" },
        { "type": "range", "max": 100, "min": 8, "default": 20, "unit": "px", "id": "font_size", "label": "Font size" },
        { "type": "color", "id": "font_color", "label": "Font Color" },
        {
          "type": "select",
          "id": "text_align",
          "options": [
            { "value": "left", "label": "Left" },
            { "value": "center", "label": "Center" },
            { "value": "right", "label": "Right" }
          ],
          "label": "Text Align"
        }
      ]
    },
    {
      "type": "text",
      "name": "Description",
      "limit": 1,
      "settings": [
        { "type": "text", "id": "description", "label": "Description Text" },
        { "type": "range", "max": 100, "min": 8, "default": 20, "unit": "px", "id": "font_size", "label": "Font size" },
        { "type": "color", "id": "font_color", "label": "Font Color" },
        {
          "type": "select",
          "id": "text_align",
          "options": [
            { "value": "left", "label": "Left" },
            { "value": "center", "label": "Center" },
            { "value": "right", "label": "Right" }
          ],
          "label": "Text Align"
        }
      ]
    },
    {
      "type": "button",
      "name": "t:sections.image-with-text.blocks.button.name",
      "limit": 2,
      "settings": [
        {
          "type": "text",
          "id": "button_label",
          "default": "Button label",
          "label": "t:sections.image-with-text.blocks.button.settings.button_label.label",
          "info": "t:sections.image-with-text.blocks.button.settings.button_label.info"
        },
        {
          "type": "url",
          "id": "button_link",
          "label": "t:sections.image-with-text.blocks.button.settings.button_link.label"
        }
      ]
    }
  ]
}
{% endschema %}
